Skip to main content
POST
/
exchanges
/
multi
/
recovery
Recover stuck assets from a failed EVM multiswap
curl --request POST \
  --url https://api-partner.houdiniswap.com/v2/exchanges/multi/recovery \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "multiId": "<string>"
}
'
import requests

url = "https://api-partner.houdiniswap.com/v2/exchanges/multi/recovery"

payload = { "multiId": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({multiId: '<string>'})
};

fetch('https://api-partner.houdiniswap.com/v2/exchanges/multi/recovery', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "saAddress": "<string>",
  "assets": [
    {
      "tokenAddress": "<string>",
      "tokenSymbol": "<string>",
      "decimals": 123,
      "balance": "<string>",
      "sourceHoudiniIds": [
        "<string>"
      ]
    }
  ],
  "transactions": [
    {
      "houdiniIds": [
        "<string>"
      ],
      "txData": {
        "userOpHash": "<string>",
        "to": "<string>",
        "data": "<string>",
        "value": "<string>",
        "chainId": 123,
        "tokenAmount": "<string>"
      }
    }
  ]
}
{
"message": "<string>",
"code": "<string>",
"requestId": "<string>"
}
{
"message": "<string>",
"code": "<string>",
"requestId": "<string>"
}
{
"message": "<string>",
"code": "<string>",
"fields": {},
"requestId": "<string>"
}
{
"message": "<string>",
"code": "<string>",
"requestId": "<string>"
}

Authorizations

Authorization
string
header
required

Body

application/json

Request body for POST /exchanges/multi/recovery

multiId
string
required

The multi exchange group ID

Maximum string length: 64

Response

Recovery data

saAddress
string
required
assets
object[]
required
transactions
object[]
required